// Used for shadow lookup
varying vec4 ShadowCoord;

//used for phong lighting
varying vec3 fragPos;
varying vec3 Normal;

void main()
{
    ShadowCoord = gl_TextureMatrix[7] * gl_ModelViewMatrix * gl_Vertex;
    
    gl_Position = ftransform();
    gl_FrontColor = gl_Color;
    
    fragPos = vec3(gl_ModelViewMatrix * gl_Vertex);
    fragPos = vec3(gl_Position);
    Normal = normalize(gl_NormalMatrix*gl_Normal);
}
