uniform sampler2D skybox;

varying vec4 WorldPosition;
varying vec3 WorldNormal;
//varying vec2 TexCoords;
const float pi = 3.1415926;
//This is a shader for displaying lights, don't change
void main() {
    vec3 _WorldPosition = normalize(WorldPosition.xyz);
    float Dx = _WorldPosition.x;
    float Dy = _WorldPosition.y;
    float Dz = _WorldPosition.z;
    float r = (1.0/pi)*acos(Dz)/sqrt(Dx*Dx + Dy*Dy);

    vec2 TexCoords = vec2((Dx*r+1.)*0.5,(Dy*r+1.)*0.5);
    vec4 TextureColor = texture2D(skybox, TexCoords);
    //gl_FragColor = vec4(skybox2,skybox2,skybox2,1);//TextureColor;//TextureColor;
    gl_FragColor = TextureColor;//TextureColor;
    //gl_FragColor = vec4(vec3(1)*0.95,1);//TextureColor;
    //gl_FragColor = TextureColor;

}