varying vec4 WorldPosition;
varying vec3 WorldNormal;
varying vec3 CameraPos;
varying float _Theta;
varying float _Phi;

//varying vec2 TexCoords;
uniform float Theta;
uniform float Phi;

void main()
{
    
    gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
    WorldPosition = gl_ModelViewMatrix * gl_Vertex;
    WorldNormal = gl_NormalMatrix * gl_Normal;
    gl_FrontColor = gl_Color;
    
    CameraPos = vec3(sin(Theta)*cos(Phi),-sin(Phi),cos(Theta)*cos(Phi))*5.;
    _Theta = Theta;
    _Phi = Phi;
    //CameraPos = vec3(sin(-Theta)*cos(-Phi),sin(-Theta)*sin(-Phi),cos(-Phi))*5.;
    gl_Position =ftransform();// gl_ModelViewProjectionMatrix * gl_Vertex;
}