uniform samplerCube cubemap;
//varying vec4 pos;
varying vec3 normal;

uniform vec3 cameraPos;

void main(){
    
    vec3 ReflectDir = vec3(cameraPos);
    ReflectDir = normalize(reflect(ReflectDir,normalize(normal)));
    //ReflectDir.y = -ReflectDir.y;
    
    gl_FragColor = textureCube(cubemap, ReflectDir);
}