varying vec3 lightDir, lightDir2, normal;
uniform sampler2D tex;

void main()
{
	vec3 ct,cf;
	vec4 texel;
	float intensity, intensity2 ,at,af;
	
	intensity = max(dot(lightDir,normalize(normal)),0.0);
    
    intensity2 = max(dot(lightDir2,normalize(normal)),0.0);
	
	cf = intensity * (gl_FrontMaterial.diffuse).rgb + 
					  gl_FrontMaterial.ambient.rgb;
	af = gl_FrontMaterial.diffuse.a;
	
	texel = texture2D(tex,gl_TexCoord[0].st);
	ct = texel.rgb;
	at = texel.a;
	
    ct = (ct * intensity) + (ct * intensity2);
	gl_FragColor = vec4(ct, at * af);
}
